<div id="pcoded" (window:resize)="onResize($event)" class="pcoded iscollapsed" theme-layout="vertical" vertical-placement="left" vertical-layout="wide" [attr.pcoded-device-type]="deviceType" [attr.vertical-nav-type]="verticalNavType" [attr.vertical-effect]="verticalEffect" vnavigation-view="view1">
  <div class="pcoded-overlay-box"></div>
  <div class="pcoded-container navbar-wrapper">
     
    <div class="pcoded-main-container" style="margin-top: 0px;"> 
      <div class="pcoded-wrapper">
        <nav id="main_navbar" class=" pcoded-navbar" navbar-theme="theme7" active-item-theme="theme4" sub-item-theme="theme2" active-item-style="style0" pcoded-navbar-position="fixed" (clickOutside)="onClickedOutside($event)" [exclude]="'#mobile-collapse'">
          <div class="sidebar_toggle"><a href="javascript:;"><i class="icon-close icons"></i></a></div>
          <div class="pcoded-inner-navbar main-menu" appAccordion slimScroll width="100%" height="100%" size="4px" color="#fff" opacity="0.3" allowPageScroll="false">
            <div class="" style="margin-bottom: 15px; margin-top:10px;">
              <div class="main-menu-header">
                <a href="/dashboard" (click)="toggleOpened()" >
                    <span class="pcoded-micon"><img class="img-40" src="assets/images/icon/logo.png" alt="User-Profile-Image"></span>
                    <!-- <span class="pcoded-mtext">Dashboard Monitoring</span> -->
                </a>
              </div>
            </div>
            
            <!-- menu admin -->
            <div *ngIf="session.getRole() === 'admin'">  
                <div  *ngFor="let asideItems of menuItemsAdmin.getAll()">

                  <div class="pcoded-navigatio-lavel" menu-title-theme="theme5" style="display: none;">{{asideItems.label}}</div>
                
                  <ul class="pcoded-item pcoded-left-item" item-border="none" item-border-style="solid" subitem-border="solid" *ngFor="let asideItem of asideItems.main" appAccordionLink group="{{asideItem.state}}" placement="right" ngbTooltip="{{ asideItem.name }}">

                    <li [routerLinkActive]="['active']" *ngIf="asideItem.type === 'external' && asideItem.display === true" appAccordionLink group="{{asideItem.state}}">
                      <a href="{{asideItem.external}}" target="{{asideItem.target ? '_blank' : '_self'}}" appAccordionToggle>
                        <span class="pcoded-micon"><i class="{{ asideItem.icon }}"></i></span>
                        <!-- <span class="pcoded-mtext">{{ asideItem.name }}</span> -->
                        <!-- <span *ngFor="let asideBadge of asideItem.badge" class="pcoded-badge label label-{{ asideBadge.type }}">{{asideBadge.value}}</span> -->
                        <!-- <span class="pcoded-mcaret"></span> -->
                      </a>
                    </li>

                    <li [routerLinkActive]="['active']" *ngIf="asideItem.type === 'link' && asideItem.display === true" appAccordionLink group="{{asideItem.state}}">
                      <a [routerLink]="['/', asideItem.main_state, asideItem.state]" target="{{asideItem.target ? '_blank' : '_self'}}" appAccordionToggle *ngIf="asideItem.main_state; else: mainContent" placement="right" ngbTooltip="{{ asideItem.name }}">
                        <span class="pcoded-micon"><i class="{{ asideItem.icon }}"></i></span>
                        <!-- <span class="pcoded-mtext">{{ asideItem.name }}</span> -->
                        <!-- <span *ngFor="let asideBadge of asideItem.badge" class="pcoded-badge label label-{{ asideBadge.type }}">{{asideBadge.value}}</span> -->
                        <!-- <span class="pcoded-mcaret"></span> -->
                      </a>
                      <ng-template #mainContent>
                        <a [routerLink]="['/', asideItem.state]" target="{{asideItem.target ? '_blank' : '_self'}}" appAccordionToggle placement="right" ngbTooltip="{{ asideItem.name }}">
                          <span class="pcoded-micon"><i class="{{ asideItem.icon }}"></i></span>
                          <!-- <span class="pcoded-mtext">{{ asideItem.name }}</span> -->
                          <!-- <span *ngFor="let asideBadge of asideItem.badge" class="pcoded-badge label label-{{ asideBadge.type }}">{{asideBadge.value}}</span> -->
                          <!-- <span class="pcoded-mcaret"></span> -->
                        </a>
                      </ng-template>
                    </li>
                    <li [routerLinkActive]="['active']" *ngIf="asideItem.type === 'sub'  && asideItem.display === true" class="pcoded-hasmenu" dropdown-icon="style3" subitem-icon="style6" appAccordionLink group="{{asideItem.state}}" placement="right" ngbTooltip="{{ asideItem.name }}">
                      <a [routerLinkActive]="['active']" href="javascript:;" appAccordionToggle>
                        <span class="pcoded-micon"><i class="{{ asideItem.icon }}"></i></span>
                        <!-- <span class="pcoded-mtext">{{ asideItem.name }}</span> -->
                        <!-- <span *ngFor="let asideBadge of asideItem.badge" class="pcoded-badge label label-{{ asideBadge.type }}">{{asideBadge.value}}</span> -->
                        <!-- <span class="pcoded-mcaret"></span> -->
                      </a>
                      <ul class="pcoded-submenu">
                        <ng-template ngFor let-asideChildren [ngForOf]="asideItem.children">
                        <li [routerLinkActive]="['active']" *ngIf="asideChildren.type !== 'sub'  && asideItem.display === true">
                          <a [routerLink]="['/', asideItem.state, asideChildren.state]" target="{{asideChildren.target ? '_blank' : '_self'}}">
                            <span class="pcoded-micon"><i class="ti-angle-right"></i></span>
                            <!-- <span class="pcoded-mtext">{{ asideChildren.name }} </span> -->
                            <!-- <span *ngFor="let asideChildrenBadge of asideChildren.badge" class="pcoded-badge label label-{{ asideChildrenBadge.type }}">{{asideChildrenBadge.value}}</span> -->
                            <!-- <span class="pcoded-mcaret"></span> -->
                          </a>
                        </li>

                        <li [routerLinkActive]="['active']" class="pcoded-hasmenu" dropdown-icon="style3" subitem-icon="style6" *ngIf="asideChildren.type === 'sub'  && asideItem.display === true" appAccordionLink group="sub-toggled">
                          <a href="javascript:;" appAccordionToggle>
                            <span class="pcoded-micon"><i class="ti-direction-alt"></i></span>
                            <!-- <span class="pcoded-mtext">{{ asideChildren.name }}</span> -->
                            <!-- <span *ngFor="let asideChildrenBadge of asideChildren.badge" class="pcoded-badge label label-{{ asideChildrenBadge.type }}">{{asideChildrenBadge.value}}</span> -->
                            <!-- <span class="pcoded-mcaret"></span> -->
                          </a>
                          <ul class="pcoded-submenu">
                            <ng-template ngFor let-asideChildrenSub [ngForOf]="asideChildren.children">
                              <li [routerLinkActive]="['active']" >
                                <a [routerLink]="['/', asideItem.state, asideChildren.state, asideChildrenSub.state]" target="{{asideChildrenSub.target ? '_blank' : '_self'}}">
                                  <span class="pcoded-micon"><i class="ti-angle-right"></i></span>
                                  <!-- <span class="pcoded-mtext">{{ asideChildrenSub.name }}</span> -->
                                  <!-- <span *ngFor="let asideChildrenSubBadge of asideChildrenSub.badge" class="pcoded-badge label label-{{ asideChildrenSubBadge.type }}">{{asideChildrenSubBadge.value}}</span> -->
                                  <!-- <span class="pcoded-mcaret"></span> -->
                                </a>
                              </li>
                            </ng-template>
                          </ul>
                        </li>
                        </ng-template>
                      </ul>
                    </li>
                  </ul>
                </div>
            </div>

            
            <!-- menu dinas -->
            <div *ngIf="session.getRole() === 'dinas'">  
                <div  *ngFor="let asideItems of menuItemsDinas.getAll()">
  
                  <div class="pcoded-navigatio-lavel" menu-title-theme="theme5" style="display: none;">{{asideItems.label}}</div>
                
                  <ul class="pcoded-item pcoded-left-item" item-border="none" item-border-style="solid" subitem-border="solid" *ngFor="let asideItem of asideItems.main" appAccordionLink group="{{asideItem.state}}" placement="right" ngbTooltip="{{ asideItem.name }}">
  
                    <li [routerLinkActive]="['active']" *ngIf="asideItem.type === 'external' && asideItem.display === true" appAccordionLink group="{{asideItem.state}}">
                      <a href="{{asideItem.external}}" target="{{asideItem.target ? '_blank' : '_self'}}" appAccordionToggle>
                        <span class="pcoded-micon"><i class="{{ asideItem.icon }}"></i></span>
                        <!-- <span class="pcoded-mtext">{{ asideItem.name }}</span> -->
                        <!-- <span *ngFor="let asideBadge of asideItem.badge" class="pcoded-badge label label-{{ asideBadge.type }}">{{asideBadge.value}}</span> -->
                        <!-- <span class="pcoded-mcaret"></span> -->
                      </a>
                    </li>
  
                    <li [routerLinkActive]="['active']" *ngIf="asideItem.type === 'link' && asideItem.display === true" appAccordionLink group="{{asideItem.state}}">
                      <a [routerLink]="['/', asideItem.main_state, asideItem.state]" target="{{asideItem.target ? '_blank' : '_self'}}" appAccordionToggle *ngIf="asideItem.main_state; else: mainContent" placement="right" ngbTooltip="{{ asideItem.name }}">
                        <span class="pcoded-micon"><i class="{{ asideItem.icon }}"></i></span>
                        <!-- <span class="pcoded-mtext">{{ asideItem.name }}</span> -->
                        <!-- <span *ngFor="let asideBadge of asideItem.badge" class="pcoded-badge label label-{{ asideBadge.type }}">{{asideBadge.value}}</span> -->
                        <!-- <span class="pcoded-mcaret"></span> -->
                      </a>
                      <ng-template #mainContent>
                        <a [routerLink]="['/', asideItem.state]" target="{{asideItem.target ? '_blank' : '_self'}}" appAccordionToggle placement="right" ngbTooltip="{{ asideItem.name }}">
                          <span class="pcoded-micon"><i class="{{ asideItem.icon }}"></i></span>
                          <!-- <span class="pcoded-mtext">{{ asideItem.name }}</span> -->
                          <!-- <span *ngFor="let asideBadge of asideItem.badge" class="pcoded-badge label label-{{ asideBadge.type }}">{{asideBadge.value}}</span> -->
                          <!-- <span class="pcoded-mcaret"></span> -->
                        </a>
                      </ng-template>
                    </li>
                    <li [routerLinkActive]="['active']" *ngIf="asideItem.type === 'sub'  && asideItem.display === true" class="pcoded-hasmenu" dropdown-icon="style3" subitem-icon="style6" appAccordionLink group="{{asideItem.state}}" placement="right" ngbTooltip="{{ asideItem.name }}">
                      <a [routerLinkActive]="['active']" href="javascript:;" appAccordionToggle>
                        <span class="pcoded-micon"><i class="{{ asideItem.icon }}"></i></span>
                        <!-- <span class="pcoded-mtext">{{ asideItem.name }}</span> -->
                        <!-- <span *ngFor="let asideBadge of asideItem.badge" class="pcoded-badge label label-{{ asideBadge.type }}">{{asideBadge.value}}</span> -->
                        <!-- <span class="pcoded-mcaret"></span> -->
                      </a>
                      <ul class="pcoded-submenu">
                        <ng-template ngFor let-asideChildren [ngForOf]="asideItem.children">
                        <li [routerLinkActive]="['active']" *ngIf="asideChildren.type !== 'sub'  && asideItem.display === true">
                          <a [routerLink]="['/', asideItem.state, asideChildren.state]" target="{{asideChildren.target ? '_blank' : '_self'}}">
                            <span class="pcoded-micon"><i class="ti-angle-right"></i></span>
                            <!-- <span class="pcoded-mtext">{{ asideChildren.name }} </span> -->
                            <!-- <span *ngFor="let asideChildrenBadge of asideChildren.badge" class="pcoded-badge label label-{{ asideChildrenBadge.type }}">{{asideChildrenBadge.value}}</span> -->
                            <!-- <span class="pcoded-mcaret"></span> -->
                          </a>
                        </li>
  
                        <li [routerLinkActive]="['active']" class="pcoded-hasmenu" dropdown-icon="style3" subitem-icon="style6" *ngIf="asideChildren.type === 'sub'  && asideItem.display === true" appAccordionLink group="sub-toggled">
                          <a href="javascript:;" appAccordionToggle>
                            <span class="pcoded-micon"><i class="ti-direction-alt"></i></span>
                            <!-- <span class="pcoded-mtext">{{ asideChildren.name }}</span> -->
                            <!-- <span *ngFor="let asideChildrenBadge of asideChildren.badge" class="pcoded-badge label label-{{ asideChildrenBadge.type }}">{{asideChildrenBadge.value}}</span> -->
                            <!-- <span class="pcoded-mcaret"></span> -->
                          </a>
                          <ul class="pcoded-submenu">
                            <ng-template ngFor let-asideChildrenSub [ngForOf]="asideChildren.children">
                              <li [routerLinkActive]="['active']" >
                                <a [routerLink]="['/', asideItem.state, asideChildren.state, asideChildrenSub.state]" target="{{asideChildrenSub.target ? '_blank' : '_self'}}">
                                  <span class="pcoded-micon"><i class="ti-angle-right"></i></span>
                                  <!-- <span class="pcoded-mtext">{{ asideChildrenSub.name }}</span> -->
                                  <!-- <span *ngFor="let asideChildrenSubBadge of asideChildrenSub.badge" class="pcoded-badge label label-{{ asideChildrenSubBadge.type }}">{{asideChildrenSubBadge.value}}</span> -->
                                  <!-- <span class="pcoded-mcaret"></span> -->
                                </a>
                              </li>
                            </ng-template>
                          </ul>
                        </li>
                        </ng-template>
                      </ul>
                    </li>
                  </ul>
                </div>
              </div>

            <!-- menu pelapor -->
            <div *ngIf="session.getRole() === 'pelapor'">  
                <div  *ngFor="let asideItems of menuItemsPelapor.getAll()">
  
                  <div class="pcoded-navigatio-lavel" menu-title-theme="theme5" style="display: none;">{{asideItems.label}}</div>
                
                  <ul class="pcoded-item pcoded-left-item" item-border="none" item-border-style="solid" subitem-border="solid" *ngFor="let asideItem of asideItems.main" appAccordionLink group="{{asideItem.state}}" placement="right" ngbTooltip="{{ asideItem.name }}">
  
                    <li [routerLinkActive]="['active']" *ngIf="asideItem.type === 'external' && asideItem.display === true" appAccordionLink group="{{asideItem.state}}">
                      <a href="{{asideItem.external}}" target="{{asideItem.target ? '_blank' : '_self'}}" appAccordionToggle>
                        <span class="pcoded-micon"><i class="{{ asideItem.icon }}"></i></span>
                        <!-- <span class="pcoded-mtext">{{ asideItem.name }}</span> -->
                        <!-- <span *ngFor="let asideBadge of asideItem.badge" class="pcoded-badge label label-{{ asideBadge.type }}">{{asideBadge.value}}</span> -->
                        <!-- <span class="pcoded-mcaret"></span> -->
                      </a>
                    </li>
  
                    <li [routerLinkActive]="['active']" *ngIf="asideItem.type === 'link' && asideItem.display === true" appAccordionLink group="{{asideItem.state}}">
                      <a [routerLink]="['/', asideItem.main_state, asideItem.state]" target="{{asideItem.target ? '_blank' : '_self'}}" appAccordionToggle *ngIf="asideItem.main_state; else: mainContent" placement="right" ngbTooltip="{{ asideItem.name }}">
                        <span class="pcoded-micon"><i class="{{ asideItem.icon }}"></i></span>
                        <!-- <span class="pcoded-mtext">{{ asideItem.name }}</span> -->
                        <!-- <span *ngFor="let asideBadge of asideItem.badge" class="pcoded-badge label label-{{ asideBadge.type }}">{{asideBadge.value}}</span> -->
                        <!-- <span class="pcoded-mcaret"></span> -->
                      </a>
                      <ng-template #mainContent>
                        <a [routerLink]="['/', asideItem.state]" target="{{asideItem.target ? '_blank' : '_self'}}" appAccordionToggle placement="right" ngbTooltip="{{ asideItem.name }}">
                          <span class="pcoded-micon"><i class="{{ asideItem.icon }}"></i></span>
                          <!-- <span class="pcoded-mtext">{{ asideItem.name }}</span> -->
                          <!-- <span *ngFor="let asideBadge of asideItem.badge" class="pcoded-badge label label-{{ asideBadge.type }}">{{asideBadge.value}}</span> -->
                          <!-- <span class="pcoded-mcaret"></span> -->
                        </a>
                      </ng-template>
                    </li>
                    <li [routerLinkActive]="['active']" *ngIf="asideItem.type === 'sub'  && asideItem.display === true" class="pcoded-hasmenu" dropdown-icon="style3" subitem-icon="style6" appAccordionLink group="{{asideItem.state}}" placement="right" ngbTooltip="{{ asideItem.name }}">
                      <a [routerLinkActive]="['active']" href="javascript:;" appAccordionToggle>
                        <span class="pcoded-micon"><i class="{{ asideItem.icon }}"></i></span>
                        <!-- <span class="pcoded-mtext">{{ asideItem.name }}</span> -->
                        <!-- <span *ngFor="let asideBadge of asideItem.badge" class="pcoded-badge label label-{{ asideBadge.type }}">{{asideBadge.value}}</span> -->
                        <!-- <span class="pcoded-mcaret"></span> -->
                      </a>
                      <ul class="pcoded-submenu">
                        <ng-template ngFor let-asideChildren [ngForOf]="asideItem.children">
                        <li [routerLinkActive]="['active']" *ngIf="asideChildren.type !== 'sub'  && asideItem.display === true">
                          <a [routerLink]="['/', asideItem.state, asideChildren.state]" target="{{asideChildren.target ? '_blank' : '_self'}}">
                            <span class="pcoded-micon"><i class="ti-angle-right"></i></span>
                            <!-- <span class="pcoded-mtext">{{ asideChildren.name }} </span> -->
                            <!-- <span *ngFor="let asideChildrenBadge of asideChildren.badge" class="pcoded-badge label label-{{ asideChildrenBadge.type }}">{{asideChildrenBadge.value}}</span> -->
                            <!-- <span class="pcoded-mcaret"></span> -->
                          </a>
                        </li>
  
                        <li [routerLinkActive]="['active']" class="pcoded-hasmenu" dropdown-icon="style3" subitem-icon="style6" *ngIf="asideChildren.type === 'sub'  && asideItem.display === true" appAccordionLink group="sub-toggled">
                          <a href="javascript:;" appAccordionToggle>
                            <span class="pcoded-micon"><i class="ti-direction-alt"></i></span>
                            <!-- <span class="pcoded-mtext">{{ asideChildren.name }}</span> -->
                            <!-- <span *ngFor="let asideChildrenBadge of asideChildren.badge" class="pcoded-badge label label-{{ asideChildrenBadge.type }}">{{asideChildrenBadge.value}}</span> -->
                            <!-- <span class="pcoded-mcaret"></span> -->
                          </a>
                          <ul class="pcoded-submenu">
                            <ng-template ngFor let-asideChildrenSub [ngForOf]="asideChildren.children">
                              <li [routerLinkActive]="['active']" >
                                <a [routerLink]="['/', asideItem.state, asideChildren.state, asideChildrenSub.state]" target="{{asideChildrenSub.target ? '_blank' : '_self'}}">
                                  <span class="pcoded-micon"><i class="ti-angle-right"></i></span>
                                  <!-- <span class="pcoded-mtext">{{ asideChildrenSub.name }}</span> -->
                                  <!-- <span *ngFor="let asideChildrenSubBadge of asideChildrenSub.badge" class="pcoded-badge label label-{{ asideChildrenSubBadge.type }}">{{asideChildrenSubBadge.value}}</span> -->
                                  <!-- <span class="pcoded-mcaret"></span> -->
                                </a>
                              </li>
                            </ng-template>
                          </ul>
                        </li>
                        </ng-template>
                      </ul>
                    </li>
                  </ul>
                </div>
              </div>

            <!-- menu verifikator -->
            <div *ngIf="session.getRole() === 'verifikator'">  
                <div  *ngFor="let asideItems of menuItemsVerifikator.getAll()">
  
                  <div class="pcoded-navigatio-lavel" menu-title-theme="theme5" style="display: none;">{{asideItems.label}}</div>
                
                  <ul class="pcoded-item pcoded-left-item" item-border="none" item-border-style="solid" subitem-border="solid" *ngFor="let asideItem of asideItems.main" appAccordionLink group="{{asideItem.state}}" placement="right" ngbTooltip="{{ asideItem.name }}">
  
                    <li [routerLinkActive]="['active']" *ngIf="asideItem.type === 'external' && asideItem.display === true" appAccordionLink group="{{asideItem.state}}">
                      <a href="{{asideItem.external}}" target="{{asideItem.target ? '_blank' : '_self'}}" appAccordionToggle>
                        <span class="pcoded-micon"><i class="{{ asideItem.icon }}"></i></span>
                        <!-- <span class="pcoded-mtext">{{ asideItem.name }}</span> -->
                        <!-- <span *ngFor="let asideBadge of asideItem.badge" class="pcoded-badge label label-{{ asideBadge.type }}">{{asideBadge.value}}</span> -->
                        <!-- <span class="pcoded-mcaret"></span> -->
                      </a>
                    </li>
  
                    <li [routerLinkActive]="['active']" *ngIf="asideItem.type === 'link' && asideItem.display === true" appAccordionLink group="{{asideItem.state}}">
                      <a [routerLink]="['/', asideItem.main_state, asideItem.state]" target="{{asideItem.target ? '_blank' : '_self'}}" appAccordionToggle *ngIf="asideItem.main_state; else: mainContent" placement="right" ngbTooltip="{{ asideItem.name }}">
                        <span class="pcoded-micon"><i class="{{ asideItem.icon }}"></i></span>
                        <!-- <span class="pcoded-mtext">{{ asideItem.name }}</span> -->
                        <!-- <span *ngFor="let asideBadge of asideItem.badge" class="pcoded-badge label label-{{ asideBadge.type }}">{{asideBadge.value}}</span> -->
                        <!-- <span class="pcoded-mcaret"></span> -->
                      </a>
                      <ng-template #mainContent>
                        <a [routerLink]="['/', asideItem.state]" target="{{asideItem.target ? '_blank' : '_self'}}" appAccordionToggle placement="right" ngbTooltip="{{ asideItem.name }}">
                          <span class="pcoded-micon"><i class="{{ asideItem.icon }}"></i></span>
                          <!-- <span class="pcoded-mtext">{{ asideItem.name }}</span> -->
                          <!-- <span *ngFor="let asideBadge of asideItem.badge" class="pcoded-badge label label-{{ asideBadge.type }}">{{asideBadge.value}}</span> -->
                          <!-- <span class="pcoded-mcaret"></span> -->
                        </a>
                      </ng-template>
                    </li>
                    <li [routerLinkActive]="['active']" *ngIf="asideItem.type === 'sub'  && asideItem.display === true" class="pcoded-hasmenu" dropdown-icon="style3" subitem-icon="style6" appAccordionLink group="{{asideItem.state}}" placement="right" ngbTooltip="{{ asideItem.name }}">
                      <a [routerLinkActive]="['active']" href="javascript:;" appAccordionToggle>
                        <span class="pcoded-micon"><i class="{{ asideItem.icon }}"></i></span>
                        <!-- <span class="pcoded-mtext">{{ asideItem.name }}</span> -->
                        <!-- <span *ngFor="let asideBadge of asideItem.badge" class="pcoded-badge label label-{{ asideBadge.type }}">{{asideBadge.value}}</span> -->
                        <!-- <span class="pcoded-mcaret"></span> -->
                      </a>
                      <ul class="pcoded-submenu">
                        <ng-template ngFor let-asideChildren [ngForOf]="asideItem.children">
                        <li [routerLinkActive]="['active']" *ngIf="asideChildren.type !== 'sub'  && asideItem.display === true">
                          <a [routerLink]="['/', asideItem.state, asideChildren.state]" target="{{asideChildren.target ? '_blank' : '_self'}}">
                            <span class="pcoded-micon"><i class="ti-angle-right"></i></span>
                            <!-- <span class="pcoded-mtext">{{ asideChildren.name }} </span> -->
                            <!-- <span *ngFor="let asideChildrenBadge of asideChildren.badge" class="pcoded-badge label label-{{ asideChildrenBadge.type }}">{{asideChildrenBadge.value}}</span> -->
                            <!-- <span class="pcoded-mcaret"></span> -->
                          </a>
                        </li>
  
                        <li [routerLinkActive]="['active']" class="pcoded-hasmenu" dropdown-icon="style3" subitem-icon="style6" *ngIf="asideChildren.type === 'sub'  && asideItem.display === true" appAccordionLink group="sub-toggled">
                          <a href="javascript:;" appAccordionToggle>
                            <span class="pcoded-micon"><i class="ti-direction-alt"></i></span>
                            <!-- <span class="pcoded-mtext">{{ asideChildren.name }}</span> -->
                            <!-- <span *ngFor="let asideChildrenBadge of asideChildren.badge" class="pcoded-badge label label-{{ asideChildrenBadge.type }}">{{asideChildrenBadge.value}}</span> -->
                            <!-- <span class="pcoded-mcaret"></span> -->
                          </a>
                          <ul class="pcoded-submenu">
                            <ng-template ngFor let-asideChildrenSub [ngForOf]="asideChildren.children">
                              <li [routerLinkActive]="['active']" >
                                <a [routerLink]="['/', asideItem.state, asideChildren.state, asideChildrenSub.state]" target="{{asideChildrenSub.target ? '_blank' : '_self'}}">
                                  <span class="pcoded-micon"><i class="ti-angle-right"></i></span>
                                  <!-- <span class="pcoded-mtext">{{ asideChildrenSub.name }}</span> -->
                                  <!-- <span *ngFor="let asideChildrenSubBadge of asideChildrenSub.badge" class="pcoded-badge label label-{{ asideChildrenSubBadge.type }}">{{asideChildrenSubBadge.value}}</span> -->
                                  <!-- <span class="pcoded-mcaret"></span> -->
                                </a>
                              </li>
                            </ng-template>
                          </ul>
                        </li>
                        </ng-template>
                      </ul>
                    </li>
                  </ul>
                </div>
            </div>

            <!-- menu pemantau -->
            <div *ngIf="session.getRole() === 'pemantau'">  
                <div  *ngFor="let asideItems of menuItemsPemantau.getAll()">
  
                  <div class="pcoded-navigatio-lavel" menu-title-theme="theme5" style="display: none;">{{asideItems.label}}</div>
                
                  <ul class="pcoded-item pcoded-left-item" item-border="none" item-border-style="solid" subitem-border="solid" *ngFor="let asideItem of asideItems.main" appAccordionLink group="{{asideItem.state}}" placement="right" ngbTooltip="{{ asideItem.name }}">
  
                    <li [routerLinkActive]="['active']" *ngIf="asideItem.type === 'external' && asideItem.display === true" appAccordionLink group="{{asideItem.state}}">
                      <a href="{{asideItem.external}}" target="{{asideItem.target ? '_blank' : '_self'}}" appAccordionToggle>
                        <span class="pcoded-micon"><i class="{{ asideItem.icon }}"></i></span>
                        <!-- <span class="pcoded-mtext">{{ asideItem.name }}</span> -->
                        <!-- <span *ngFor="let asideBadge of asideItem.badge" class="pcoded-badge label label-{{ asideBadge.type }}">{{asideBadge.value}}</span> -->
                        <!-- <span class="pcoded-mcaret"></span> -->
                      </a>
                    </li>
  
                    <li [routerLinkActive]="['active']" *ngIf="asideItem.type === 'link' && asideItem.display === true" appAccordionLink group="{{asideItem.state}}">
                      <a [routerLink]="['/', asideItem.main_state, asideItem.state]" target="{{asideItem.target ? '_blank' : '_self'}}" appAccordionToggle *ngIf="asideItem.main_state; else: mainContent" placement="right" ngbTooltip="{{ asideItem.name }}">
                        <span class="pcoded-micon"><i class="{{ asideItem.icon }}"></i></span>
                        <!-- <span class="pcoded-mtext">{{ asideItem.name }}</span> -->
                        <!-- <span *ngFor="let asideBadge of asideItem.badge" class="pcoded-badge label label-{{ asideBadge.type }}">{{asideBadge.value}}</span> -->
                        <!-- <span class="pcoded-mcaret"></span> -->
                      </a>
                      <ng-template #mainContent>
                        <a [routerLink]="['/', asideItem.state]" target="{{asideItem.target ? '_blank' : '_self'}}" appAccordionToggle placement="right" ngbTooltip="{{ asideItem.name }}">
                          <span class="pcoded-micon"><i class="{{ asideItem.icon }}"></i></span>
                          <!-- <span class="pcoded-mtext">{{ asideItem.name }}</span> -->
                          <!-- <span *ngFor="let asideBadge of asideItem.badge" class="pcoded-badge label label-{{ asideBadge.type }}">{{asideBadge.value}}</span> -->
                          <!-- <span class="pcoded-mcaret"></span> -->
                        </a>
                      </ng-template>
                    </li>
                    <li [routerLinkActive]="['active']" *ngIf="asideItem.type === 'sub'  && asideItem.display === true" class="pcoded-hasmenu" dropdown-icon="style3" subitem-icon="style6" appAccordionLink group="{{asideItem.state}}" placement="right" ngbTooltip="{{ asideItem.name }}">
                      <a [routerLinkActive]="['active']" href="javascript:;" appAccordionToggle>
                        <span class="pcoded-micon"><i class="{{ asideItem.icon }}"></i></span>
                        <!-- <span class="pcoded-mtext">{{ asideItem.name }}</span> -->
                        <!-- <span *ngFor="let asideBadge of asideItem.badge" class="pcoded-badge label label-{{ asideBadge.type }}">{{asideBadge.value}}</span> -->
                        <!-- <span class="pcoded-mcaret"></span> -->
                      </a>
                      <ul class="pcoded-submenu">
                        <ng-template ngFor let-asideChildren [ngForOf]="asideItem.children">
                        <li [routerLinkActive]="['active']" *ngIf="asideChildren.type !== 'sub'  && asideItem.display === true">
                          <a [routerLink]="['/', asideItem.state, asideChildren.state]" target="{{asideChildren.target ? '_blank' : '_self'}}">
                            <span class="pcoded-micon"><i class="ti-angle-right"></i></span>
                            <!-- <span class="pcoded-mtext">{{ asideChildren.name }} </span> -->
                            <!-- <span *ngFor="let asideChildrenBadge of asideChildren.badge" class="pcoded-badge label label-{{ asideChildrenBadge.type }}">{{asideChildrenBadge.value}}</span> -->
                            <!-- <span class="pcoded-mcaret"></span> -->
                          </a>
                        </li>
  
                        <li [routerLinkActive]="['active']" class="pcoded-hasmenu" dropdown-icon="style3" subitem-icon="style6" *ngIf="asideChildren.type === 'sub'  && asideItem.display === true" appAccordionLink group="sub-toggled">
                          <a href="javascript:;" appAccordionToggle>
                            <span class="pcoded-micon"><i class="ti-direction-alt"></i></span>
                            <!-- <span class="pcoded-mtext">{{ asideChildren.name }}</span> -->
                            <!-- <span *ngFor="let asideChildrenBadge of asideChildren.badge" class="pcoded-badge label label-{{ asideChildrenBadge.type }}">{{asideChildrenBadge.value}}</span> -->
                            <!-- <span class="pcoded-mcaret"></span> -->
                          </a>
                          <ul class="pcoded-submenu">
                            <ng-template ngFor let-asideChildrenSub [ngForOf]="asideChildren.children">
                              <li [routerLinkActive]="['active']" >
                                <a [routerLink]="['/', asideItem.state, asideChildren.state, asideChildrenSub.state]" target="{{asideChildrenSub.target ? '_blank' : '_self'}}">
                                  <span class="pcoded-micon"><i class="ti-angle-right"></i></span>
                                  <!-- <span class="pcoded-mtext">{{ asideChildrenSub.name }}</span> -->
                                  <!-- <span *ngFor="let asideChildrenSubBadge of asideChildrenSub.badge" class="pcoded-badge label label-{{ asideChildrenSubBadge.type }}">{{asideChildrenSubBadge.value}}</span> -->
                                  <!-- <span class="pcoded-mcaret"></span> -->
                                </a>
                              </li>
                            </ng-template>
                          </ul>
                        </li>
                        </ng-template>
                      </ul>
                    </li>
                  </ul>
                </div>
            </div>

          </div>
        </nav>

        <div class="pcoded-content">
          <div class="pcoded-inner-content">
            <div class="main-body">
              <div class="page-wrapper">
                <app-title></app-title>
                <!-- <app-breadcrumbs></app-breadcrumbs> -->

                <nav class="" style="margin-top: 20px; margin-bottom: 20px;">
                  <div class="navbar-wrapper">
                    <div class="navbar-container container-fluid row">
                      <div class="col-sm-12 col-md-8 col-xl-9" style="margin-left: -15px">
                        <h5 style="font-weight: 600; font-size:20pt;">Dashboard Monitoring</h5>
                      </div>
                      <!-- <div class="col-sm-12 col-md-4 col-xl-4">
                         <input class="form-control" type="text" placeholder="Cari"/> 
                      </div> -->
                      <div class="col-sm-12 col-md-4 col-xl-3 text-right" style="display: flex">
                          <div class="col-sm-6">
                            <h5 class="small" style="margin-top: 4px; font-size: 13px;"><b>{{username}}</b></h5> 
                            <h5 class="small" style="margin-top: 10px; font-size: 13px; line-height: 0em;">({{role}})</h5>
                          </div>
                          <a [routerLink]="['/profile']" placement="bottom" ngbTooltip="Profile">
                            <img *ngIf="role === 'admin'" class="img-30" style="margin: 5px 10px 0 10px;" src="assets/images/avatar-3.png" alt="User-Profile-Image">  
                            <img *ngIf="role === 'dinas'" class="img-30" style="margin: 5px 10px 0 10px;" src="assets/images/avatar-5.png" alt="User-Profile-Image">  
                            <img *ngIf="role === 'pelapor'" class="img-30" style="margin: 5px 10px 0 10px;" src="assets/images/avatar-1.png" alt="User-Profile-Image">  
                            <img *ngIf="role === 'pemantau'" class="img-30" style="margin: 5px 10px 0 10px;" src="assets/images/avatar-4.png" alt="User-Profile-Image">  
                            <img *ngIf="role === 'verifikator'" class="img-30" style="margin: 5px 10px 0 10px;" src="assets/images/avatar-2.png" alt="User-Profile-Image">  
                          </a>
                          <app-notification-message></app-notification-message>
                          <div class="header-notification-1" style="margin-left: 20px; margin-top: 5px;">
                            <a [routerLink]="[]" style="font-size: 20px;">
                              <div class="label-icon">
                                <i class="pcoded-micon fa fa-bell" style="color: #404E67 !important"></i>
                                <label 
                                  *ngIf="jumlahNotification > 0"
                                  class="badge badge-danger badge-top-right" 
                                  style="font-size: 12px; margin-left: -10px;">
                                  {{ jumlahNotification }}
                                </label>
                              </div>
                            </a>
                            <ul class="show-notification-1 container text-left">
                              <div class="row">
                                <div class="col-md-12" style="padding: 20px 20px 10px 20px;">
                                  <h6>Notifikasi</h6>
                                </div>
                                <ng-container *ngFor="let row of dataNotification; let i = index;">
                                  <div class="col-md-12 content-notification-1-{{row.is_read === false ? 'new' : 'read'}}" style="padding: 15px 20px; border-top: 1px solid #3498db;">
                                    <a [routerLink]="['/notification/detail', row.id]" style="color: #000">
                                      <p style="margin-bottom: 0px;" *ngIf="row.type === 'broadcast' ; else program">
                                        <b>{{ row.pengirim.nama }}</b> mengirim Anda pesan Broadcast.
                                      </p>
                                      <ng-template #program>
                                        <p style="margin-bottom: 0px;">
                                          Program
                                        </p>
                                      </ng-template>
                                      <span style="font-size: 10px;">
                                        {{ convert.formatDateIndoTglJam(row.created_at) }}
                                      </span>
                                    </a>
                                  </div>
                                </ng-container>
                                <div class="col-md-12 text-center" style="padding: 10px 20px; border-top: 1px solid #3498db;">
                                  <a [routerLink]="['/notification']" style="font-size: 10px;">
                                    Lihat semua
                                  </a>
                                </div>
                              </div>
                            </ul>
                          </div>
                          <a [routerLink]="['/auth/logout']" placement="bottom" ngbTooltip="Logout" style="font-size: 20px; margin-left: 20px; margin-top: 5px;">
                            <div class="label-icon">
                              <i class="pcoded-micon fa fa-sign-out" style="color: #404E67 !important"></i>
                            </div>
                          </a>
                        <!-- </div> -->
                      </div>
                      
                    
                    </div>
                  </div>
                </nav>

                <div class="page-body">
                  <router-outlet><spinner></spinner></router-outlet>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
